com.genesyslab.wfm8.API.service.config851

## Class CfgAgentTimeOffBonus

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgAgentTimeOffBonus

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentTimeOffBonus
      extends java.lang.Object
      implements java.io.Serializable

  Agent Time Off Bonus
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `protected int` | `gswUserId`
    `private static long` | `serialVersionUID`
    `protected double` | `wmBonusHours`
    `protected int` | `wmBonusId`
    `protected java.lang.String` | `wmComments`
    `protected double` | `wmEndDate`
    `protected double` | `wmStartDate`
    `protected double` | `wmSubmitDateTime`
    `protected int` | `wmTimeoffTypeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentTimeOffBonus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `double` | `getWmBonusHours()` Gets the value of the wmBonusHours property.
    `int` | `getWmBonusId()` Gets the value of the wmBonusId property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `double` | `getWmSubmitDateTime()` Gets the value of the wmSubmitDateTime property.
    `int` | `getWmTimeoffTypeId()` Gets the value of the wmTimeoffTypeId property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setWmBonusHours(double value)` Sets the value of the wmBonusHours property.
    `void` | `setWmBonusId(int value)` Sets the value of the wmBonusId property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmSubmitDateTime(double value)` Sets the value of the wmSubmitDateTime property.
    `void` | `setWmTimeoffTypeId(int value)` Sets the value of the wmTimeoffTypeId property.
    `java.lang.String` | `toString()`
    `CfgAgentTimeOffBonus` | `withGswAgentId(int value)`
    `CfgAgentTimeOffBonus` | `withGswUserId(int value)`
    `CfgAgentTimeOffBonus` | `withWmBonusHours(double value)`
    `CfgAgentTimeOffBonus` | `withWmBonusId(int value)`
    `CfgAgentTimeOffBonus` | `withWmComments(java.lang.String value)`
    `CfgAgentTimeOffBonus` | `withWmEndDate(double value)`
    `CfgAgentTimeOffBonus` | `withWmStartDate(double value)`
    `CfgAgentTimeOffBonus` | `withWmSubmitDateTime(double value)`
    `CfgAgentTimeOffBonus` | `withWmTimeoffTypeId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBonusId

          protected int wmBonusId

    - #### gswAgentId

          protected int gswAgentId

    - #### wmTimeoffTypeId

          protected int wmTimeoffTypeId

    - #### wmStartDate

          protected double wmStartDate

    - #### wmEndDate

          protected double wmEndDate

    - #### wmSubmitDateTime

          protected double wmSubmitDateTime

    - #### wmComments

          protected java.lang.String wmComments

    - #### gswUserId

          protected int gswUserId

    - #### wmBonusHours

          protected double wmBonusHours

  - ### Constructor Detail

    - #### CfgAgentTimeOffBonus

          public CfgAgentTimeOffBonus()

  - ### Method Detail

    - #### getWmBonusId

          public int getWmBonusId()

      Gets the value of the wmBonusId property.

    - #### setWmBonusId

          public void setWmBonusId(int value)

      Sets the value of the wmBonusId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmTimeoffTypeId

          public int getWmTimeoffTypeId()

      Gets the value of the wmTimeoffTypeId property.

    - #### setWmTimeoffTypeId

          public void setWmTimeoffTypeId(int value)

      Sets the value of the wmTimeoffTypeId property.

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmSubmitDateTime

          public double getWmSubmitDateTime()

      Gets the value of the wmSubmitDateTime property.

    - #### setWmSubmitDateTime

          public void setWmSubmitDateTime(double value)

      Sets the value of the wmSubmitDateTime property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getWmBonusHours

          public double getWmBonusHours()

      Gets the value of the wmBonusHours property.

    - #### setWmBonusHours

          public void setWmBonusHours(double value)

      Sets the value of the wmBonusHours property.

    - #### withWmBonusId

          public CfgAgentTimeOffBonus withWmBonusId(int value)

    - #### withGswAgentId

          public CfgAgentTimeOffBonus withGswAgentId(int value)

    - #### withWmTimeoffTypeId

          public CfgAgentTimeOffBonus withWmTimeoffTypeId(int value)

    - #### withWmStartDate

          public CfgAgentTimeOffBonus withWmStartDate(double value)

    - #### withWmEndDate

          public CfgAgentTimeOffBonus withWmEndDate(double value)

    - #### withWmSubmitDateTime

          public CfgAgentTimeOffBonus withWmSubmitDateTime(double value)

    - #### withWmComments

          public CfgAgentTimeOffBonus withWmComments(java.lang.String value)

    - #### withGswUserId

          public CfgAgentTimeOffBonus withGswUserId(int value)

    - #### withWmBonusHours

          public CfgAgentTimeOffBonus withWmBonusHours(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.